Bug 444139 - c-k-daemon WARNING: Couldn't read /proc/27756/environ
c-k-daemon WARNING: Couldn't read /proc/27756/environ
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-25 08:05 EDT by David Timms
Modified: 2013-03-05 22:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:09:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/messages for error message context (66.89 KB, text/plain)
2008-04-25 08:05 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-04-25 08:05:55 EDT
Description of problem:
warnings listed in /var/log/messages

Version-Release number of selected component (if applicable):

How reproducible:
happens by itself, not sure of the event that leads to the messages

Steps to Reproduce:
1. # grep console-kit-daemon /var/log/messages
Actual results:
Apr 24 22:58:32 davidtnotebook console-kit-daemon[2207]: WARNING: Couldn't read
/proc/2354/environ: Error reading file '/proc/2354/environ': No such process
Apr 25 13:31:25 davidtnotebook console-kit-daemon[2207]: WARNING: Couldn't read
/proc/7803/environ: Error reading file '/proc/7803/environ': No such process
Apr 25 13:59:09 davidtnotebook console-kit-daemon[2207]: WARNING: Couldn't read
/proc/9011/environ: Error reading file '/proc/9011/environ': No such process
Apr 25 21:24:59 davidtnotebook console-kit-daemon[2207]: WARNING: Couldn't read
/proc/27756/environ: Error reading file '/proc/27756/environ': No such process

Expected results:
no errors.

Additional info:
I previously reopened bug 229006 since it had suggestions of identical messages,
but was requested to open a new bug. This bug is very similar also to bug 230937.

ps. these are littered throughout my messages* files, if more logs could be
useful, please request it.
Comment 1 David Timms 2008-04-25 08:05:55 EDT
Created attachment 303776 [details]
/var/log/messages for error message context
Comment 2 Bug Zapper 2008-05-14 06:09:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Deependra Singh Shekhawat 2008-05-20 00:18:58 EDT

Just came across this entry. I am having a issue kinda similar with console kit 
I suppose. When I fresh install fedora 9 and boot the computer off it and 
inside of gnome click on the Computer icon , I can see all other ntfs , fat 
partitions. When I double click on any one of them it asks me the root password 
for the first time and I don't check on the check box which says just for this 
session. After I do that I don't see a new window popping up showing the 
directory structure of inside that partition. In F8 it used to work out of the 

Then I saw /var/log/messages and I found a similar message as posted above , 
which I will soon be pasting here too , as I am away from my computer for few 
hours. But it definitely has to do something with console kit. Is it something 
like permissions or configuration files of console kit which I need to modify 
to get the thing working?

Comment 4 Jason Farrell 2008-05-23 02:15:56 EDT
I'm seeing this error as well. Can often be manually triggered by yum installing
something then checking /var/log/messages a few seconds later. (A GUI popup
shows (in KDE) as well: "An internal system error has occurred")
Comment 5 Bug Zapper 2009-06-09 20:26:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 11:09:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.